%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr
%define version 0.1.8
%define kderelease 4

%define kdename  keasycd
Name: %{kdename}
Summary: A CD recording front-end.
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: ftp://ftp.de.kde.org/pub/kde/unstable/apps/multimedia/cdrom/%{kdename}-%{version}.tar.gz
License: GPL
Group: Applications/Multimedia
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: kdesupport mkhybrid cdrecord cdparanoia
Prefix: %{kdeprefix}

%description
KeasyCD is a CD recording front-end for cdrecord, cdda2wav, cdparanoia
and mkisofs.  KeasyCD supports CD-Extra, Multisession, MixedMode CD,
on the fly, and drag and drop.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{kdename}
rm config.cache
find . -name .deps |xargs rm -rf

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
%configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT

make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Tue Feb 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up dependencies (Bug #9015)

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 1.45

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- updated for 6.1

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0
